"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _StoryCircleListItem = _interopRequireDefault(require("./StoryCircleListItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const StoryCircleListView = props => {
  const {
    data,
    handleStoryItemPress,
    unPressedBorderColor,
    pressedBorderColor,
    avatarSize,
    showText,
    textStyle
  } = props;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    keyExtractor: item => `story-item-${item.id}`,
    data: data,
    horizontal: true,
    style: styles.container,
    showsVerticalScrollIndicator: false,
    showsHorizontalScrollIndicator: false,
    ListFooterComponent: /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.footer
    }),
    renderItem: _ref => {
      let {
        item,
        index
      } = _ref;
      return /*#__PURE__*/_react.default.createElement(_StoryCircleListItem.default, {
        avatarSize: avatarSize,
        handleStoryItemPress: () => handleStoryItemPress && handleStoryItemPress(item, index),
        unPressedBorderColor: unPressedBorderColor,
        pressedBorderColor: pressedBorderColor,
        item: item,
        showText: showText,
        textStyle: textStyle
      });
    }
  }));
};
const styles = _reactNative.StyleSheet.create({
  container: {
    paddingLeft: 12
  },
  footer: {
    flex: 1,
    width: 8
  }
});
var _default = StoryCircleListView;
exports.default = _default;
//# sourceMappingURL=StoryCircleListView.js.map