import React from 'react';
import type { UserStory, CustomStoryView, CustomStoryList, CustomProfileBanner, CustomStoryImage } from '../index';
import type { TextStyle, ViewStyle } from 'react-native';
interface StoryProps {
    data: UserStory[];
    storyListStyle?: ViewStyle;
    unPressedBorderColor?: string;
    pressedBorderColor?: string;
    onClose?: (item: UserStory) => void;
    onStart?: (item: UserStory) => void;
    duration?: number;
    swipeText?: string;
    customSwipeUpButton?: () => React.ReactNode;
    customCloseButton?: () => React.ReactNode;
    customStoryList?: (props: CustomStoryList) => React.ReactNode;
    customStoryView?: (props: CustomStoryView) => React.ReactNode;
    customProfileBanner?: (props: CustomProfileBanner) => React.ReactNode;
    customStoryImage?: (props: CustomStoryImage) => React.ReactNode;
    avatarSize?: number;
    showAvatarText?: boolean;
    showProfileBanner?: boolean;
    avatarTextStyle?: TextStyle;
    prefetchImages?: boolean;
    onImagesPrefetched?: (allImagesPrefethed: boolean) => void;
}
declare const Story: {
    (props: StoryProps): React.JSX.Element;
    defaultProps: {
        showAvatarText: boolean;
        showProfileBanner: boolean;
        prefetchImages: boolean;
    };
};
export default Story;
//# sourceMappingURL=Story.d.ts.map